Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.hyades.logging.events
Interface IAvailableSituation

All Superinterfaces:
  ISituationType

All Known Implementing Classes:
  AvailableSituationImpl

Deprecated. This class is deprecated as of 2004-05-17. Use the corresponding class available in org.eclipse.hyades.logging.events.cbe*

public interface IAvailableSituation
extends ISituationType

The AvailableSituation deals with the situations reported from the component, regarding its operational state and availability. This situation provides a context for operations that can be performed on the component by distinguishing if a product is installed, operational and ready to process functional requests, or operational and ready/not ready to process management requests. Existing message include words like those that now ready to take requests, online, and offline, for example: `ADMC0013I: SOAP connector available at port 8880 ADMC0026I: RMI Connector available at port 2809`

Since:
  1.0.1
Version:
  1.0.1
Author:
  Richard K. Duggan, Paul E. Slauenwhite
See Also:
  `ISituationType`

Method Summary
`java.lang.String` | `getAvailabilityDisposition()` Deprecated. Returns the availabilityDisposition.
`java.lang.String` | `getOperationDisposition()` Deprecated. Returns the operationDisposition.
`java.lang.String` | `getProcessingDisposition()` Deprecated. Returns the processingDisposition.
`void` | `setAvailabilityDisposition(java.lang.String availabilityDisposition)` Deprecated. Sets the availabilityDisposition.
`void` | `setOperationDisposition(java.lang.String operationDisposition)` Deprecated. Sets the operationDisposition.
`void` | `setProcessingDisposition(java.lang.String processingDisposition)` Deprecated. Sets the processingDisposition.

Methods inherited from interface org.eclipse.hyades.logging.events.ISituationType
`getReasoningScope, init, setReasoningScope`

Method Detail

### getOperationDisposition

    public java.lang.String getOperationDisposition()

  Deprecated.
  Returns the operationDisposition. This property specifies the operation state of the component reported by the situation. The operationalDisposition is a string with the following set of values: STARTABLE NONSTARTABLE This is a REQUIRED property and once it is set it MUST NOT change. The string length for this property MUST NOT exceed 64 characters.

  Returns:
    String The returned operationDisposition.
  Since:
    1.0.1

### getProcessingDisposition

    public java.lang.String getProcessingDisposition()

  Deprecated.
  Returns the processingDisposition. This property specifies the processing disposition of a component opertation that caused the situation to be reported. The processingDisposition is a string with the following set of values: FUNCTION_PROCESS FUNCTION_BLOCK MGMTTASK_PROCESS MGMTTASK_BLOCKED This is a REQUIRED property and once it is set it MUST NOT change. The string length for this property MUST NOT exceed 64 characters.

  Returns:
    String The returned processingDisposition.
  Since:
    1.0.1

### getAvailabilityDisposition

    public java.lang.String getAvailabilityDisposition()

  Deprecated.
  Returns the availabilityDisposition. This property specifies the availability disposition of an entity or component that caused the situation to be reported. The availableDisposition is a string with the following set of values: AVAILABLE NOT AVAILABLE This is a REQUIRED property and once it is set it MUST NOT change. The string length for this property MUST NOT exceed 64 characters.

  Returns:
    String The returned availabilityDisposition.
  Since:
    1.0.1

### setOperationDisposition

    public void setOperationDisposition(java.lang.String operationDisposition)

  Deprecated.
  Sets the operationDisposition. This property specifies the operation state of the component reported by the situation. The operationalDisposition is a string with the following set of values: STARTABLE NONSTARTABLE This is a REQUIRED property and once it is set it MUST NOT change. The string length for this property MUST NOT exceed 64 characters.

  Parameters:
    `operationDisposition` - The operationDisposition to be set.
  Since:
    1.0.1

### setProcessingDisposition

    public void setProcessingDisposition(java.lang.String processingDisposition)

  Deprecated.
  Sets the processingDisposition. This property specifies the processing disposition of a component opertation that caused the situation to be reported. The processingDisposition is a string with the following set of values: FUNCTION_PROCESS FUNCTION_BLOCK MGMTTASK_PROCESS MGMTTASK_BLOCKED This is a REQUIRED property and once it is set it MUST NOT change. The string length for this property MUST NOT exceed 64 characters.

  Parameters:
    `processingDisposition` - The processingDisposition to be set.
  Since:
    1.0.1

### setAvailabilityDisposition

    public void setAvailabilityDisposition(java.lang.String availabilityDisposition)

  Deprecated.
  Sets the availabilityDisposition. This property specifies the availability disposition of an entity or component that caused the situation to be reported. The availableDisposition is a string with the following set of values: AVAILABLE NOT AVAILABLE This is a REQUIRED property and once it is set it MUST NOT change. The string length for this property MUST NOT exceed 64 characters.

  Parameters:
    `availabilityDisposition` - The availabilityDisposition to be set.
  Since:
    1.0.1

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD